#include <signal.h>
#include <stdio.h>

static void signal_handler (int signo)
{
  printf ("Hello, world!\n");
}

int main (void)
{
  if (signal (SIGINT, signal_handler) == SIG_ERR)
    {
      fputs ("Error installing signal handler.\n", stderr);
      return 1;
    }
  while (1);
  return 0;
}
